package com.lovenav.service;

import com.lovenav.entity.User;

import java.util.HashMap;


public interface UserService {

    public String sendEmailActivecode(User user, HashMap<String,String>configMap);
    public int UserRegister(User user);

    public User selectUserAlreadyExist(User user);

    public User userLogin(User user);

    public int updatePassword(User user);

    HashMap<Integer,Object> getAllUsers();

}
